#!/bin/bash

set -o nounset

declare -i verbose=0
declare -i append=0
outfile=

while getopts va: optname
do
  case $optname in
    v)  ((verbose++));;
    a)  append=1
        outfile="$OPTARG";;
    \?) exit 2;;
    ?)  echo "$(basename $0): Internal error," \
          "unexpected option $optname" >&2
        exit 3;;
  esac
done

echo "verbose=$verbose append=$append outfile=\"$outfile\""

shift $((OPTIND-1))

while [ $# -gt 0 ]
do
  echo "Argument: \"$1\""
  shift
done
